#include <llodctor/llodctor_coff.hpp>

namespace llo::s1
{
    void dctor_coff_t::generate( lloiff_t &iff )
    {
        std::for_each( img_header->get_sections(), img_header->get_sections() + num_sections,
                       [ & ]( const coff::section_header_t section_header ) {
                           lloiff_t::iff_section_t section{
                               std::string( section_header.name.to_string( img_header->get_strings() ) ) };

                           section.raw = { img.data() + section_header.ptr_raw_data,
                                           img.data() + section_header.ptr_raw_data + section_header.size_raw_data };

                           iff.sections.emplace_back( section );
                       } );
    }
} // namespace llo::s1